Subject: Re: MUSIBAU REPAIR ESTIMATE ON KRD 433 YD==65284.
From: Raphael Peter <[email-masked]>
To: Folashade Odutola <[email-masked]>, Okoroafor Igwe <[email-masked]>, Emmanuel Nwachukwu <[email-masked]>
Cc: Michael Orimolade <[email-masked]>, Robert Iyade <[email-masked]>, HertzMainland Intern <[email-masked]>, Sandra Anonyei <[email-masked]>, Peace Anago <[email-masked]>
Date: Fri, 9 Jan 2026 11:18:58 +0000

N2,995,000.00 re-approved.

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Folashade Odutola <[email-masked]>
Sent: Friday, January 9, 2026 11:55 AM
To: Okoroafor Igwe <[email-masked]>; Emmanuel Nwachukwu <[email-masked]>; Raphael Peter <[email-masked]>
Cc: Michael Orimolade <[email-masked]>; Robert Iyade <[email-masked]>; HertzMainland Intern <[email-masked]>; Sandra Anonyei <[email-masked]>; Peace Anago <[email-masked]>
Subject: Re: MUSIBAU REPAIR ESTIMATE ON KRD 433 YD==65284.

Dear @Raphael Peter<mailto:[email-masked]>
Kindly approve the below review

[Best Regards" Images – Browse 179 Stock ...]

Afolasade Odutola

Team Lead Maintenance South-west | Hertz/C&I Fleet Management |Leasing House|Leasing Drive, Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

Contact :09062488013

Whatsapp:08056799122

Email :| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

________________________________
From: Okoroafor Igwe <[email-masked]>
Sent: Thursday, January 8, 2026 10:22 PM
To: Emmanuel Nwachukwu <[email-masked]>
Cc: Michael Orimolade <[email-masked]>; Robert Iyade <[email-masked]>; HertzMainland Intern <[email-masked]>; Sandra Anonyei <[email-masked]>; Peace Anago <[email-masked]>; Folashade Odutola <[email-masked]>; Raphael Peter <[email-masked]>
Subject: RE: MUSIBAU REPAIR ESTIMATE ON KRD 433 YD==65284.

Dear Emma,

Kindly use this adjusted approval.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

CONTROL APPROVAL

BEST PRICE

Maintenance Adjusted Approval

Center axle

Tokunbo

1.800,000

1250000

1,450,000

1350000

Complete side mirror

RHS

245,000

150000

180,000

170000

Front bumper

380,000

240000

280,000

260000

Front bumper bracket

48,000

25000

25,000

25000

Rear light--RHS

Taiwan

265,000

160000

185,000

170000

Rear bumper

180,000

120000

150,000

130000

Rear mirror

95,000

65000

65,000

65000

Side shifting glass

LHS

145,000

100000

100,000

100000

Side shifting glass kit

38,000

20000

20,000

20000

Side reflector

4pcs

160,000

100000

35,000

20000

Water sealant

24,000

10000

10,000

10000

Tinted

27,000

20000

20,000

20000

Axle oil

2 gallons

56,000

30000

56,000

40000

Clutch fork

55,000

35000

35,000

35000

Panel beating materials

140,000

80000

80,000

80000

Painting materials

445,000

270000

425,000

350000

Labor

220,000

100000

180,000

150000

TOTAL

4,323,800

2,775,000

3,296,000

NGN2,995,000

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text    Description automatically generated]

From: Emmanuel Nwachukwu <[email-masked]>
Sent: Thursday, 8 January 2026 16:12
To: Okoroafor Igwe <[email-masked]>
Cc: Michael Orimolade <[email-masked]>; Robert Iyade <[email-masked]>; HertzMainland Intern <[email-masked]>; Sandra Anonyei <[email-masked]>; Peace Anago <[email-masked]>; Okoroafor Igwe <[email-masked]>; Folashade Odutola <[email-masked]>; Raphael Peter <[email-masked]>
Subject: RE: MUSIBAU REPAIR ESTIMATE ON KRD 433 YD==65284.

Dear Igwe,

Kindly advise further based on the below from the workshop.

Attached is the workshop's final price for the repair of the subject vehicle.

Please review it and provide your response at your earliest convenience.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

CONTROL APPROVAL

BEST PRICE

Center axle

Tokunbo

1.800,000

1250000

1,450,000

Complete side mirror

RHS

245,000

150000

180,000

Front bumper

380,000

240000

280,000

Front bumper bracket

48,000

25000

25,000

Rear light--RHS

Taiwan

265,000

160000

185,000

Rear bumper

180,000

120000

150,000

Rear mirror

95,000

65000

65,000

Side shifting glass

LHS

145,000

100000

100,000

Side shifting glass kit

38,000

20000

20,000

Side reflector

4pcs

160,000

100000

35,000

Water sealant

24,000

10000

10,000

Tinted

27,000

20000

20,000

Axle oil

2 gallons

56,000

30000

56,000

Clutch fork

55,000

35000

35,000

Panel beating materials

140,000

80000

80,000

Painting materials

445,000

270000

425,000

Labor

220,000

100000

180,000

TOTAL

4,323,800

2,775,000

3,296,000

Emmanuel Nwachukwu

Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09062533943, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 8, 2026 10:44 AM
To: Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; HertzMainland Intern <[email-masked]<mailto:[email-masked]>>; Sandra Anonyei <[email-masked]<mailto:[email-masked]>>; Peace Anago <[email-masked]<mailto:[email-masked]>>; Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>; Kate Ukwuma <[email-masked]<mailto:[email-masked]>>
Subject: Re: MUSIBAU REPAIR ESTIMATE ON KRD 433 YD==65284.

Dear Emma,

Kindly use this approval.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

MAINT APPROVAL

HOD APPROVAL

CONTROL APPROVAL

Center axle

Tokunbo

1.800,000

1,450,000

1300000

1250000

Complete side mirror

RHS

245,000

180,000

150000

150000

Front bumper

380,000

265,000

250000

240000

Front bumper bracket

48,000

35,000

25000

25000

Rear light--RHS

Taiwan

265,000

225,000

180000

160000

Rear bumper

180,000

145,000

120000

120000

Rear mirror

95,000

75,000

65000

65000

Side shifting glass

LHS

145,000

130,000

100000

100000

Side shifting glass kit

38,000

30,000

20000

20000

Side reflector

4pcs

160,000

145,000

100000

100000

Water sealant

24,000

20,000

10000

10000

Tinted

27,000

25,000

20000

20000

Axle oil

2 gallons

56,000

45,000

30000

30000

Clutch fork

55,000

45,000

35000

35000

Panel beating materials

140,000

110,000

100000

80000

Painting materials

445,000

310,000

270000

270000

Labor

220,000

150,000

100000

100000

TOTAL

4,323,800

3,385,000

NGN2,875,000

NGN2,775,000

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]<mailto:[email-masked]>

[A white square with blue and black logo  Description automatically generated]

________________________________

From: Folashade Odutola <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 8, 2026 10:37 AM
To: Raphael Peter <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; HertzMainland Intern <[email-masked]<mailto:[email-masked]>>; Sandra Anonyei <[email-masked]<mailto:[email-masked]>>; Peace Anago <[email-masked]<mailto:[email-masked]>>; Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>; Kate Ukwuma <[email-masked]<mailto:[email-masked]>>
Subject: Re: MUSIBAU REPAIR ESTIMATE ON KRD 433 YD==65284.

 Dear @Raphael Peter<mailto:[email-masked]>

Please approve further

The vehicle is to resume a contract tomorrow based on the urgency it was sent to musibau for quick fix .

[Best Regards" Images – Browse 179 Stock ...]

Afolasade Odutola

Team Lead Maintenance South-west | Hertz/C&I Fleet Management |Leasing House|Leasing Drive, Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

Contact :09062488013

Whatsapp:08056799122

Email :| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

________________________________

From: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 8, 2026 10:35 AM
To: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; HertzMainland Intern <[email-masked]<mailto:[email-masked]>>; Sandra Anonyei <[email-masked]<mailto:[email-masked]>>; Peace Anago <[email-masked]<mailto:[email-masked]>>; Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Subject: Re: MUSIBAU REPAIR ESTIMATE ON KRD 433 YD==65284.

Dear Emma,

Can we get second opinion if the vehicle can still move to another workshop

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]<mailto:[email-masked]>

[A white square with blue and black logo  Description automatically generated]

________________________________

From: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, January 7, 2026 1:53 PM
To: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; HertzMainland Intern <[email-masked]<mailto:[email-masked]>>; Sandra Anonyei <[email-masked]<mailto:[email-masked]>>; Peace Anago <[email-masked]<mailto:[email-masked]>>; Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Subject: RE: MUSIBAU REPAIR ESTIMATE ON KRD 433 YD==65284.

Dear Rapheal,

Kindly approve further.

KRD 433 YD==65284.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

MAINT APPROVAL

HOD APPROVAL

CONTROL APPROVAL

Center axle

Tokunbo

1.800,000

1,450,000

1300000

Complete side mirror

RHS

245,000

180,000

150000

Front bumper

380,000

265,000

250000

Front bumper bracket

48,000

35,000

25000

Rear light--RHS

Taiwan

265,000

225,000

180000

Rear bumper

180,000

145,000

120000

Rear mirror

95,000

75,000

65000

Side shifting glass

LHS

145,000

130,000

100000

Side shifting glass kit

38,000

30,000

20000

Side reflector

4pcs

160,000

145,000

100000

Water sealant

24,000

20,000

10000

Tinted

27,000

25,000

20000

Axle oil

2 gallons

56,000

45,000

30000

Clutch fork

55,000

45,000

35000

Panel beating materials

140,000

110,000

100000

Painting materials

445,000

310,000

270000

Labor

220,000

150,000

100000

TOTAL

4,323,800

3,385,000

NGN2,875,000

Emmanuel Nwachukwu

Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09062533943, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, January 7, 2026 1:49 PM
To: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; HertzMainland Intern <[email-masked]<mailto:[email-masked]>>; Sandra Anonyei <[email-masked]<mailto:[email-masked]>>; Peace Anago <[email-masked]<mailto:[email-masked]>>
Subject: RE: MUSIBAU REPAIR ESTIMATE ON KRD 433 YD==65284.

Dear Emma,

Kindly use this approval.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

MAINT APPROVAL

HOD APPROVAL

CONTROL APPROVAL

Center axle

Tokunbo

1.800,000

1,450,000

1300000

Complete side mirror

RHS

245,000

180,000

150000

Front bumper

380,000

265,000

250000

Front bumper bracket

48,000

35,000

25000

Rear light--RHS

Taiwan

265,000

225,000

180000

Rear bumper

180,000

145,000

120000

Rear mirror

95,000

75,000

65000

Side shifting glass

LHS

145,000

130,000

100000

Side shifting glass kit

38,000

30,000

20000

Side reflector

4pcs

160,000

145,000

100000

Water sealant

24,000

20,000

10000

Tinted

27,000

25,000

20000

Axle oil

2 gallons

56,000

45,000

30000

Clutch fork

55,000

45,000

35000

Panel beating materials

140,000

110,000

100000

Painting materials

445,000

310,000

270000

Labor

220,000

150,000

100000

TOTAL

4,323,800

3,385,000

NGN2,875,000

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text    Description automatically generated]

From: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, 7 January 2026 11:22
To: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; HertzMainland Intern <[email-masked]<mailto:[email-masked]>>; Sandra Anonyei <[email-masked]<mailto:[email-masked]>>; Peace Anago <[email-masked]<mailto:[email-masked]>>
Subject: MUSIBAU REPAIR ESTIMATE ON KRD 433 YD==65284.

Dear Igwe,

Kindly review and approve.

KRD 433 YD==65284.

DESCRIPTION OF GOODS

QTY

WORKSHOP ESTIMATE

MAINT APPROVAL

HOD APPROVAL

CONTROL APPROVAL

Center axle

Tokunbo

1.800,000

1,450,000

Complete side mirror

RHS

245,000

180,000

Front bumper

380,000

265,000

Front bumper bracket

48,000

35,000

Rear light--RHS

Taiwan

265,000

225,000

Rear bumper

180,000

145,000

Rear mirror

95,000

75,000

Side shifting glass

LHS

145,000

130,000

Side shifting glass kit

38,000

30,000

Side reflector

4pcs

160,000

145,000

Water sealant

24,000

20,000

Tinted

27,000

25,000

Axle oil

2 gallons

56,000

45,000

Clutch fork

55,000

45,000

Panel beating materials

140,000

110,000

Painting materials

445,000

310,000

Labor

220,000

150,000

TOTAL

4,323,800

3,385,000

65

Emmanuel Nwachukwu

Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09062533943, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]